NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.MirrorCurveBuilder Class Reference

Represents a NXOpen.Features.MirrorCurve builder More...

Inheritance diagram for NXOpen.Features.MirrorCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PlaneOptions { ExistingPlane, NewPlane }
 Represents the Plane options. More...
 

Properties

unsafe NXOpen.Section Curve [get]
 Returns the curves to mirror More...
 
unsafe NXOpen.SelectISurface ExistingPlane [get]
 Returns the Mirror plane/face More...
 
unsafe
NXOpen.GeometricUtilities.CurveOptions 
InputCurvesOptions [get]
 Returns the input curve options More...
 
unsafe NXOpen.Plane NewPlane [get, set]
 Returns or sets the plane constructor More...
 
unsafe
NXOpen.Features.MirrorCurveBuilder.PlaneOptions 
PlaneOption [get, set]
 Returns or sets the plane option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.MirrorCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMirrorCurveBuilder

Default values.

Property Value

PlaneOption

ExistingPlane

Created in NX6.0.0

Member Enumeration Documentation

Represents the Plane options.

Enumerator
ExistingPlane 

existing plane

NewPlane 

new plane

Property Documentation

unsafe NXOpen.Section NXOpen.Features.MirrorCurveBuilder.Curve
get

Returns the curves to mirror

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectISurface NXOpen.Features.MirrorCurveBuilder.ExistingPlane
get

Returns the Mirror plane/face

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveOptions NXOpen.Features.MirrorCurveBuilder.InputCurvesOptions
get

Returns the input curve options

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.MirrorCurveBuilder.NewPlane
getset

Returns or sets the plane constructor

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.MirrorCurveBuilder.PlaneOptions NXOpen.Features.MirrorCurveBuilder.PlaneOption
getset

Returns or sets the plane option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.